Subject: bug#22994: FAIL: tests/gexp.scm

From: Jean Louis <[email-masked]>
Date: Mon, 14 Mar 2016 10:17:18 +0100

Hello,

This command:

guix build guix -n

takes long long time to finish. And I can see multiple lines like:

substitute: guix substitute: warning: while fetching
http://hydra.gnu.org/nix-cache-info: server is somewhat slow

The result of that command is following:

The following files would be downloaded:
   /gnu/store/3lg5c1nidbj0kjdz5b63hn3vp29kzf0s-guix-0.9.0.c3f29bc
   /gnu/store/6gl0rzlbzsq4nywr5ma9rnfyvs8mbsgq-guile-json-0.5.0
   /gnu/store/bwfr534bsfgl2a0pmxxy1ck7lz7fplsb-gzip-1.6

Other information:
I have used mirror.guixsd.org and it worked better, and I did got:

gdk-pixbuf      2.32.3  out     gnu/packages/gtk.scm:388:2

However, the reason why I needed it, is to install emacs. And what I
expect is not what I get. Sadly, this is how my emacs look like. Notice
that icons are missing. There are numerous gdk-pixbuf errors when
opening it in console.

https://rcdrun.com/images/upload/tmp/2016-03-14-10:14:22.jpg

I am thinking like this and expecting it like this:

- if I install gdk-pixbuf, the emacs shall start using it
- if I remove emacs, and install it again, I shall get new version with gdk-pixbuf

I am trying to find equivalent to: apt-get purge emacs, apt-get install
emacs -- but with -r emacs, the problem does not just get solved.

Currently, I need solution to install correct emacs. By using
mirror.guixsd.org it works better on my side, but I have already tried.
Nothing changed so far.

Jean 

On Mon, Mar 14, 2016 at 11:19:57AM +0300, Alex Kost wrote:
> Ludovic Courtès (2016-03-14 01:03 +0300) wrote:
> 
> > Jean Louis <[email-masked]> skribis:
> >
> >> I have run this:
> >>
> >> guix package -i guix
> >>
> >> and it failed:
> >>
> >> FAIL: tests/gexp.scm
> >
> > What does ‘guix build guix -n’ display?
> 
> I think there are 2 separate issues here:
> 
> 1. A failed test: I can't reproduce it using the latest git checkout (at
>    commit 61c30e9), I mean all tests pass.
> 
> 2. Jean: did you find a way how to receive substitutes from hydra?  When
>    you sent this bug report, guix was built on your computer, but
>    (AFAIK) since then you made "guix pull" successfully, so now you
>    don't have such problems anymore, right?
> 
> -- 
> Alex